=== debian/changelog ===
ros-eloquent-rmw-connext-cpp (0.8.2-1bionic) bionic; urgency=high

  * Fix wrong error messages (#458 <https://github.com/ros2/rmw_connext/issues/458>) (#479 <https://github.com/ros2/rmw_connext/issues/479>)
  * Update maintainers (#468 <https://github.com/ros2/rmw_connext/issues/468>) (#471 <https://github.com/ros2/rmw_connext/issues/471>)
  * avoid using build time Connext library paths, determine them when downstream packages are built (#385 <https://github.com/ros2/rmw_connext/issues/385>) (#433 <https://github.com/ros2/rmw_connext/issues/433>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Ivan Santiago Paunovic

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-rmw-connext-cpp (0.8.1-1bionic) bionic; urgency=high

  * CMAKE_SOURCE_DIR -> CMAKE_CURRENT_SOURCE_DIR (#378 <https://github.com/ros2/rmw_connext/issues/378>)
  * use return_loaned_message_from (#376 <https://github.com/ros2/rmw_connext/issues/376>)
  * Support localhost only communication (#373 <https://github.com/ros2/rmw_connext/issues/373>)
  * Zero copy api (#367 <https://github.com/ros2/rmw_connext/issues/367>)
  * update logic / patches to optionally support Connext 6 (#374 <https://github.com/ros2/rmw_connext/issues/374>)
  * assert that unmodified lines in the patch match the input (#371 <https://github.com/ros2/rmw_connext/issues/371>)
  * supress invalid syntax warning for macro call (#370 <https://github.com/ros2/rmw_connext/issues/370>)
  * Fix build error (#369 <https://github.com/ros2/rmw_connext/issues/369>)
  * update signature for added pub/sub options (#368 <https://github.com/ros2/rmw_connext/issues/368>)
  * Contributors: Brian Marchi, Dan Rose, Dirk Thomas, Karsten Knese, William Woodall, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rmw-connext-cpp (0.8.0-1bionic) bionic; urgency=high

  * speed up copy with memcpy (#366 <https://github.com/ros2/rmw_connext/issues/366>)
  * Implement get_actual_qos() for subscriptions (#358 <https://github.com/ros2/rmw_connext/issues/358>)
  * add missing qos setings in get_actual_qos() (#357 <https://github.com/ros2/rmw_connext/issues/357>)
  * Contributors: Jacob Perron, M. M, Neil Puthuff

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Sep 2019 05:00:00 -0000

ros-eloquent-rmw-connext-cpp (0.7.2-1bionic) bionic; urgency=high

  * Add missing get_serialized_message_size method. (#355 <https://github.com/ros2/rmw_connext/issues/355>)
  * Contributors: Michael Carroll

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-rmw-connext-cpp (0.7.1-1bionic) bionic; urgency=high

  * Combine package name with type namespace in type support struct (#354 <https://github.com/ros2/rmw_connext/issues/354>)
  * Implement QoS: liveliness, deadline, lifespan (#352 <https://github.com/ros2/rmw_connext/issues/352>)
  * Stub out new allocation APIs. (#353 <https://github.com/ros2/rmw_connext/issues/353>)
  * Contributors: Devin Bonnie, Jacob Perron, Michael Carroll

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-rmw-connext-cpp (0.7.0-1bionic) bionic; urgency=high

  * Add function to get publisher actual qos settings (#350 <https://github.com/ros2/rmw_connext/issues/350>)
  * pass context to wait set and fini context (#343 <https://github.com/ros2/rmw_connext/issues/343>)
  * deduplicate code (#312 <https://github.com/ros2/rmw_connext/issues/312>)
  * Delete datareader on the subscriber and datawriter on the publisher, issue #330 <https://github.com/ros2/rmw_connext/issues/330> (#337 <https://github.com/ros2/rmw_connext/issues/337>)
  * Remove unnecessary argument name, issue #331 <https://github.com/ros2/rmw_connext/issues/331> (#336 <https://github.com/ros2/rmw_connext/issues/336>)
  * Make use of DDS namespace instead of DDS_ prefixed versions in global namespace (#328 <https://github.com/ros2/rmw_connext/issues/328>)
  * Fixed typo in comments and remove trailing spaces (#332 <https://github.com/ros2/rmw_connext/issues/332>)
  * remove debug print (#322 <https://github.com/ros2/rmw_connext/issues/322>)
  * Contributors: Johnny Willemsen, William Woodall, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 13 Apr 2019 05:00:00 -0000

ros-eloquent-rmw-connext-cpp (0.6.1-1bionic) bionic; urgency=high

  * Node graph impl (#313 <https://github.com/ros2/rmw_connext/issues/313>)
  * refactor to support init options and context (#308 <https://github.com/ros2/rmw_connext/issues/308>)
  * Add implementation of matching publisher/subscriber counts (#310 <https://github.com/ros2/rmw_connext/issues/310>)
  * reduce verbosity when Connext is not available (#311 <https://github.com/ros2/rmw_connext/issues/311>)
  * use uint8_t array (#309 <https://github.com/ros2/rmw_connext/issues/309>)
  * Contributors: Dirk Thomas, Karsten Knese, Michael Carroll, Ross Desmond, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2018 06:00:00 -0000

ros-eloquent-rmw-connext-cpp (0.6.0-1bionic) bionic; urgency=high

  * use new error handling API from rcutils (#306 <https://github.com/ros2/rmw_connext/issues/306>)
  * Fix lint warning from invalid escape sequences (#305 <https://github.com/ros2/rmw_connext/issues/305>)
  * Include node namespaces in get_node_names (#299 <https://github.com/ros2/rmw_connext/issues/299>)
  * add rmw_get_serialization_format (#298 <https://github.com/ros2/rmw_connext/issues/298>)
  * Contributors: Jacob Perron, Karsten Knese, Michael Carroll, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 06:00:00 -0000

ros-eloquent-rmw-connext-cpp (0.5.1-1bionic) bionic; urgency=high

  * only deserialize when taken is true (#297 <https://github.com/ros2/rmw_connext/issues/297>)
  * Contributors: Karsten Knese

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 Jun 2018 05:00:00 -0000


