=== debian/control ===
Source: ros-eloquent-rmw-connext-cpp
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-connext-cmake-module, ros-eloquent-rcutils, ros-eloquent-rmw, ros-eloquent-rmw-connext-shared-cpp, ros-eloquent-rosidl-cmake, ros-eloquent-rosidl-generator-c, ros-eloquent-rosidl-generator-cpp, ros-eloquent-rosidl-generator-dds-idl, ros-eloquent-rosidl-typesupport-connext-c, ros-eloquent-rosidl-typesupport-connext-cpp, rti-connext-dds-5.3.1, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rmw-connext-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-ament-cmake, ros-eloquent-connext-cmake-module, ros-eloquent-rcutils, ros-eloquent-rmw, ros-eloquent-rmw-connext-shared-cpp, ros-eloquent-rosidl-cmake, ros-eloquent-rosidl-generator-c, ros-eloquent-rosidl-generator-cpp, ros-eloquent-rosidl-typesupport-connext-c, ros-eloquent-rosidl-typesupport-connext-cpp, rti-connext-dds-5.3.1, ros-eloquent-ros-workspace
Description: Implement the ROS middleware interface using RTI Connext static code generation in C++.
